<?php

namespace App\Filament\Clusters\Settings\LoanOrderRequiredDocs\Schemas;

use AbdulmajeedJamaan\FilamentTranslatableTabs\TranslatableTabs;
use Filament\Forms\Components\RichEditor;
use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class LoanOrderRequiredDocsForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TranslatableTabs::make('anyLabel')
                    ->columnSpanFull()
                    ->schema([
                        TextInput::make('name')
                            ->label(__('Name'))
                            ->required()
                            ->maxLength(255),

                        RichEditor::make('value')
                            ->label(__('Value'))
                            ->required()
                            ->maxLength(255),
                    ]),
            ]);
    }
}
